Index: serefpolicy-contrib-20140730/courier.if
===================================================================
--- serefpolicy-contrib-20140730.orig/courier.if
+++ serefpolicy-contrib-20140730/courier.if
@@ -1,12 +1,12 @@
-## <summary>Courier IMAP and POP3 email servers.</summary>
+## <summary>Courier IMAP and POP3 email servers</summary>
 
-#######################################
+########################################
 ## <summary>
-##	The template to define a courier domain.
+##	Template for creating courier server processes.
 ## </summary>
-## <param name="domain_prefix">
+## <param name="prefix">
 ##	<summary>
-##	Domain prefix to be used.
+##	Prefix name of the server process.
 ##	</summary>
 ## </param>
 #
@@ -15,7 +15,7 @@ template(`courier_domain_template',`
 		attribute courier_domain;
 	')
 
-	########################################
+	##############################
 	#
 	# Declarations
 	#
@@ -24,18 +24,30 @@ template(`courier_domain_template',`
 	type courier_$1_exec_t;
 	init_daemon_domain(courier_$1_t, courier_$1_exec_t)
 
-	########################################
+	##############################
 	#
-	# Policy
+	# Declarations
 	#
 
 	can_exec(courier_$1_t, courier_$1_exec_t)
+
+	kernel_read_system_state(courier_$1_t)
+
+	corenet_all_recvfrom_netlabel(courier_$1_t)
+	corenet_tcp_sendrecv_generic_if(courier_$1_t)
+	corenet_udp_sendrecv_generic_if(courier_$1_t)
+	corenet_tcp_sendrecv_generic_node(courier_$1_t)
+	corenet_udp_sendrecv_generic_node(courier_$1_t)
+	corenet_tcp_sendrecv_all_ports(courier_$1_t)
+	corenet_udp_sendrecv_all_ports(courier_$1_t)
+
+	logging_send_syslog_msg(courier_$1_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute the courier authentication
-##	daemon with a domain transition.
+##	Execute the courier authentication daemon with
+##	a domain transition.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -48,34 +60,32 @@ interface(`courier_domtrans_authdaemon',
 		type courier_authdaemon_t, courier_authdaemon_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, courier_authdaemon_exec_t, courier_authdaemon_t)
 ')
 
 #######################################
 ## <summary>
-##	Connect to courier-authdaemon over
-##	a unix stream socket.
+##  Connect to courier-authdaemon over a unix stream socket.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
+##  <summary>
+##  Domain allowed access.
+##  </summary>
 ## </param>
 #
 interface(`courier_stream_connect_authdaemon',`
-	gen_require(`
-		type courier_authdaemon_t, courier_spool_t;
-	')
+    gen_require(`
+        type courier_authdaemon_t, courier_spool_t;
+    ')
 
 	files_search_spool($1)
-	stream_connect_pattern($1, courier_spool_t, courier_spool_t, courier_authdaemon_t)
+    stream_connect_pattern($1, courier_spool_t, courier_spool_t, courier_authdaemon_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute the courier POP3 and IMAP
-##	server with a domain transition.
+##	Execute the courier POP3 and IMAP server with
+##	a domain transition.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -88,13 +98,12 @@ interface(`courier_domtrans_pop',`
 		type courier_pop_t, courier_pop_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, courier_pop_exec_t, courier_pop_t)
 ')
 
 ########################################
 ## <summary>
-##	Read courier config files.
+##	Read courier config files
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -127,7 +136,7 @@ interface(`courier_manage_spool_dirs',`
 		type courier_spool_t;
 	')
 
-	files_search_var($1)
+	files_search_spool($1)
 	manage_dirs_pattern($1, courier_spool_t, courier_spool_t)
 ')
 
@@ -136,7 +145,7 @@ interface(`courier_manage_spool_dirs',`
 ##	Create, read, write, and delete courier
 ##	spool files.
 ## </summary>
-## <param name="domain">
+## <param name="domains">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
@@ -147,7 +156,7 @@ interface(`courier_manage_spool_files',`
 		type courier_spool_t;
 	')
 
-	files_search_var($1)
+	files_search_spool($1)
 	manage_files_pattern($1, courier_spool_t, courier_spool_t)
 ')
 
@@ -166,13 +175,13 @@ interface(`courier_read_spool',`
 		type courier_spool_t;
 	')
 
-	files_search_var($1)
+	files_search_spool($1)
 	read_files_pattern($1, courier_spool_t, courier_spool_t)
 ')
 
 ########################################
 ## <summary>
-##	Read and write courier spool pipes.
+##	Read and write to courier spool pipes.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -185,6 +194,5 @@ interface(`courier_rw_spool_pipes',`
 		type courier_spool_t;
 	')
 
-	files_search_var($1)
 	allow $1 courier_spool_t:fifo_file rw_fifo_file_perms;
 ')
Index: serefpolicy-contrib-20140730/courier.te
===================================================================
--- serefpolicy-contrib-20140730.orig/courier.te
+++ serefpolicy-contrib-20140730/courier.te
@@ -18,7 +18,7 @@ type courier_etc_t;
 files_config_file(courier_etc_t)
 
 type courier_spool_t;
-files_type(courier_spool_t)
+files_spool_file(courier_spool_t)
 
 type courier_var_lib_t;
 files_type(courier_var_lib_t)
@@ -51,7 +51,6 @@ manage_sock_files_pattern(courier_domain
 files_pid_filetrans(courier_domain, courier_var_run_t, dir)
 
 kernel_read_kernel_sysctls(courier_domain)
-kernel_read_system_state(courier_domain)
 
 corecmd_exec_bin(courier_domain)
 
@@ -59,15 +58,11 @@ dev_read_sysfs(courier_domain)
 
 domain_use_interactive_fds(courier_domain)
 
-files_read_etc_files(courier_domain)
 files_read_etc_runtime_files(courier_domain)
-files_read_usr_files(courier_domain)
 
 fs_getattr_xattr_fs(courier_domain)
 fs_search_auto_mountpoints(courier_domain)
 
-logging_send_syslog_msg(courier_domain)
-
 sysnet_read_config(courier_domain)
 
 userdom_dontaudit_use_unpriv_user_fds(courier_domain)
@@ -77,6 +72,10 @@ optional_policy(`
 ')
 
 optional_policy(`
+	mysql_stream_connect(courier_domain)
+')
+
+optional_policy(`
 	udev_read_db(courier_domain)
 ')
 
@@ -91,6 +90,7 @@ allow courier_authdaemon_t self:unix_str
 create_dirs_pattern(courier_authdaemon_t, courier_var_lib_t, courier_var_lib_t)
 manage_sock_files_pattern(courier_authdaemon_t, courier_var_lib_t, courier_var_lib_t)
 
+manage_files_pattern(courier_authdaemon_t, courier_spool_t, courier_spool_t)
 manage_sock_files_pattern(courier_authdaemon_t, courier_spool_t, courier_spool_t)
 
 allow courier_authdaemon_t courier_tcpd_t:process sigchld;
@@ -112,7 +112,6 @@ auth_domtrans_chk_passwd(courier_authdae
 
 libs_read_lib_files(courier_authdaemon_t)
 
-miscfiles_read_localization(courier_authdaemon_t)
 
 userdom_dontaudit_search_user_home_dirs(courier_authdaemon_t)
 
@@ -135,7 +134,7 @@ allow courier_pop_t courier_authdaemon_t
 
 allow courier_pop_t courier_tcpd_t:{ unix_stream_socket tcp_socket } rw_stream_socket_perms;
 
-allow courier_pop_t courier_var_lib_t:file { read write };
+allow courier_pop_t courier_var_lib_t:file rw_inherited_file_perms;
 
 domtrans_pattern(courier_pop_t, courier_authdaemon_exec_t, courier_authdaemon_t)
 
@@ -172,7 +171,6 @@ corenet_tcp_sendrecv_pop_port(courier_tc
 dev_read_rand(courier_tcpd_t)
 dev_read_urand(courier_tcpd_t)
 
-miscfiles_read_localization(courier_tcpd_t)
 
 ########################################
 #
Index: serefpolicy-contrib-20140730/cpucontrol.te
===================================================================
--- serefpolicy-contrib-20140730.orig/cpucontrol.te
+++ serefpolicy-contrib-20140730/cpucontrol.te
@@ -42,8 +42,6 @@ term_dontaudit_use_console(cpucontrol_do
 init_use_fds(cpucontrol_domain)
 init_use_script_ptys(cpucontrol_domain)
 
-logging_send_syslog_msg(cpucontrol_domain)
-
 userdom_dontaudit_use_unpriv_user_fds(cpucontrol_domain)
 
 optional_policy(`
@@ -69,12 +67,13 @@ allow cpucontrol_t cpucontrol_conf_t:dir
 read_files_pattern(cpucontrol_t, cpucontrol_conf_t, cpucontrol_conf_t)
 read_lnk_files_pattern(cpucontrol_t, cpucontrol_conf_t, cpucontrol_conf_t)
 
-kernel_list_proc(cpucontrol_t)
 kernel_read_proc_symlinks(cpucontrol_t)
 
 dev_read_sysfs(cpucontrol_t)
 dev_rw_cpu_microcode(cpucontrol_t)
 
+logging_send_syslog_msg(cpucontrol_t)
+
 optional_policy(`
 	rhgb_use_ptys(cpucontrol_t)
 ')
@@ -98,7 +97,6 @@ dev_rw_sysfs(cpuspeed_t)
 
 domain_read_all_domains_state(cpuspeed_t)
 
-files_read_etc_files(cpuspeed_t)
 files_read_etc_runtime_files(cpuspeed_t)
 
-miscfiles_read_localization(cpuspeed_t)
+logging_send_syslog_msg(cpuspeed_t)
Index: serefpolicy-contrib-20140730/cpufreqselector.te
===================================================================
--- serefpolicy-contrib-20140730.orig/cpufreqselector.te
+++ serefpolicy-contrib-20140730/cpufreqselector.te
@@ -14,21 +14,17 @@ init_daemon_domain(cpufreqselector_t, cp
 # Local policy
 #
 
-allow cpufreqselector_t self:capability { sys_nice sys_ptrace };
+allow cpufreqselector_t self:capability sys_nice;
 allow cpufreqselector_t self:process getsched;
 allow cpufreqselector_t self:fifo_file rw_fifo_file_perms;
+allow cpufreqselector_t self:process getsched;
 
 kernel_read_system_state(cpufreqselector_t)
 
-files_read_etc_files(cpufreqselector_t)
-files_read_usr_files(cpufreqselector_t)
-
 dev_rw_sysfs(cpufreqselector_t)
 
-miscfiles_read_localization(cpufreqselector_t)
-
 userdom_read_all_users_state(cpufreqselector_t)
-userdom_dontaudit_search_user_home_dirs(cpufreqselector_t)
+userdom_dontaudit_search_admin_dir(cpufreqselector_t)
 
 optional_policy(`
 	dbus_system_domain(cpufreqselector_t, cpufreqselector_exec_t)
@@ -51,3 +47,7 @@ optional_policy(`
 	policykit_read_lib(cpufreqselector_t)
 	policykit_read_reload(cpufreqselector_t)
 ')
+
+optional_policy(`
+	xserver_dbus_chat_xdm(cpufreqselector_t)
+')
Index: serefpolicy-contrib-20140730/cron.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/cron.fc
+++ serefpolicy-contrib-20140730/cron.fc
@@ -1,66 +1,66 @@
-/etc/rc\.d/init\.d/(anacron|atd)	--	gen_context(system_u:object_r:crond_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/atd		--	gen_context(system_u:object_r:crond_initrc_exec_t,s0)
 
-/etc/cron\.d(/.*)?	gen_context(system_u:object_r:system_cron_spool_t,s0)
-/etc/crontab	--	gen_context(system_u:object_r:system_cron_spool_t,s0)
+/etc/cron\.d(/.*)?			gen_context(system_u:object_r:system_cron_spool_t,s0)
+/etc/crontab			--	gen_context(system_u:object_r:system_cron_spool_t,s0)
 
-/usr/bin/at	--	gen_context(system_u:object_r:crontab_exec_t,s0)
-/usr/bin/(f)?crontab	--	gen_context(system_u:object_r:crontab_exec_t,s0)
+/usr/lib/systemd/system/atd.*	--	gen_context(system_u:object_r:crond_unit_file_t,s0)
+/usr/lib/systemd/system/crond.*	--	gen_context(system_u:object_r:crond_unit_file_t,s0)
 
-/usr/libexec/fcron	--	gen_context(system_u:object_r:crond_exec_t,s0)
-/usr/libexec/fcronsighup	--	gen_context(system_u:object_r:crontab_exec_t,s0)
+/usr/bin/at			--	gen_context(system_u:object_r:crontab_exec_t,s0)
+/usr/bin/(f)?crontab		--	gen_context(system_u:object_r:crontab_exec_t,s0)
 
-/usr/sbin/anacron	--	gen_context(system_u:object_r:anacron_exec_t,s0)
-/usr/sbin/atd	--	gen_context(system_u:object_r:crond_exec_t,s0)
-/usr/sbin/cron(d)?	--	gen_context(system_u:object_r:crond_exec_t,s0)
-/usr/sbin/fcron	--	gen_context(system_u:object_r:crond_exec_t,s0)
-/usr/sbin/fcronsighup	--	gen_context(system_u:object_r:crontab_exec_t,s0)
+/usr/libexec/fcron  --  gen_context(system_u:object_r:crond_exec_t,s0)
+/usr/libexec/fcronsighup    --  gen_context(system_u:object_r:crontab_exec_t,s0)
 
-/var/lib/glpi/files(/.*)?	gen_context(system_u:object_r:cron_var_lib_t,s0)
+/usr/sbin/anacron		--	gen_context(system_u:object_r:anacron_exec_t,s0)
+/usr/sbin/atd			--	gen_context(system_u:object_r:crond_exec_t,s0)
+/usr/sbin/cron(d)?		--	gen_context(system_u:object_r:crond_exec_t,s0)
+/usr/sbin/fcron			--	gen_context(system_u:object_r:crond_exec_t,s0)
+/usr/sbin/fcronsighup		--	gen_context(system_u:object_r:crontab_exec_t,s0)
 
-/var/log/cron.*	gen_context(system_u:object_r:cron_log_t,s0)
-/var/log/rpmpkgs.*	--	gen_context(system_u:object_r:cron_log_t,s0)
+/var/log/cron.*             gen_context(system_u:object_r:cron_log_t,s0)
+/var/log/rpmpkgs.*		--	gen_context(system_u:object_r:cron_log_t,s0)
 
-/var/run/anacron\.pid	--	gen_context(system_u:object_r:crond_var_run_t,s0)
-/var/run/atd\.pid	--	gen_context(system_u:object_r:crond_var_run_t,s0)
-/var/run/cron(d)?\.pid	--	gen_context(system_u:object_r:crond_var_run_t,s0)
-/var/run/cron(d)?\.reboot	--	gen_context(system_u:object_r:crond_var_run_t,s0)
-/var/run/fcron\.fifo	-s	gen_context(system_u:object_r:crond_var_run_t,s0)
-/var/run/fcron\.pid	--	gen_context(system_u:object_r:crond_var_run_t,s0)
-/var/run/.*cron.*	--	gen_context(system_u:object_r:crond_var_run_t,s0)
+/var/run/anacron\.pid		--	gen_context(system_u:object_r:crond_var_run_t,s0)
+/var/run/atd\.pid		--	gen_context(system_u:object_r:crond_var_run_t,s0)
+/var/run/crond?\.pid		--	gen_context(system_u:object_r:crond_var_run_t,s0)
+/var/run/crond?\.reboot		--	gen_context(system_u:object_r:crond_var_run_t,s0)
+/var/run/fcron\.fifo		-s	gen_context(system_u:object_r:crond_var_run_t,s0)
+/var/run/fcron\.pid		--	gen_context(system_u:object_r:crond_var_run_t,s0)
+/var/run/.*cron.*		--	gen_context(system_u:object_r:crond_var_run_t,s0)
 
-/var/spool/anacron(/.*)?	gen_context(system_u:object_r:system_cron_spool_t,s0)
-/var/spool/at(/.*)?	gen_context(system_u:object_r:user_cron_spool_t,s0)
-/var/spool/at/atspool(/.*)?	gen_context(system_u:object_r:user_cron_spool_log_t,s0)
+/var/spool/anacron(/.*)?		gen_context(system_u:object_r:system_cron_spool_t,s0)
+/var/spool/at(/.*)?			gen_context(system_u:object_r:user_cron_spool_t,s0)
 
-/var/spool/cron	-d	gen_context(system_u:object_r:cron_spool_t,s0)
-#/var/spool/cron/root	--	gen_context(system_u:object_r:sysadm_cron_spool_t,s0)
-/var/spool/cron/[^/]*	--	<<none>>
+/var/spool/cron			-d	gen_context(system_u:object_r:user_cron_spool_t,s0)
+#/var/spool/cron/root		--	gen_context(system_u:object_r:sysadm_cron_spool_t,s0)
+/var/spool/cron/[^/]*		--	<<none>>
 
-/var/spool/cron/crontabs	-d	gen_context(system_u:object_r:cron_spool_t,s0)
+/var/spool/cron/crontabs 	-d	gen_context(system_u:object_r:cron_spool_t,s0)
 /var/spool/cron/crontabs/.*	--	<<none>>
 #/var/spool/cron/crontabs/root	--	gen_context(system_u:object_r:sysadm_cron_spool_t,s0)
 
-/var/spool/fcron	-d	gen_context(system_u:object_r:cron_spool_t,s0)
-/var/spool/fcron/.*	<<none>>
+/var/spool/fcron		-d	gen_context(system_u:object_r:cron_spool_t,s0)
+/var/spool/fcron/.*			<<none>>
 /var/spool/fcron/systab\.orig	--	gen_context(system_u:object_r:system_cron_spool_t,s0)
-/var/spool/fcron/systab	--	gen_context(system_u:object_r:system_cron_spool_t,s0)
-/var/spool/fcron/systab\.tmp	--	gen_context(system_u:object_r:system_cron_spool_t,s0)
+/var/spool/fcron/systab		--	gen_context(system_u:object_r:system_cron_spool_t,s0)
 /var/spool/fcron/new\.systab	--	gen_context(system_u:object_r:system_cron_spool_t,s0)
-/var/spool/fcron/rm\.systab	--	gen_context(system_u:object_r:system_cron_spool_t,s0)
-
-ifdef(`distro_debian',`
-/var/spool/cron/atjobs	-d	gen_context(system_u:object_r:cron_spool_t,s0)
-/var/spool/cron/atjobs/[^/]*	--	<<none>>
-/var/spool/cron/atspool	-d	gen_context(system_u:object_r:cron_spool_t,s0)
-')
 
 ifdef(`distro_gentoo',`
-/var/spool/cron/lastrun	-d	gen_context(system_u:object_r:crond_tmp_t,s0)
+/var/spool/cron/lastrun		-d	gen_context(system_u:object_r:crond_tmp_t,s0)
 /var/spool/cron/lastrun/[^/]*	--	<<none>>
 ')
 
-ifdef(`distro_suse',`
-/var/spool/cron/lastrun	-d	gen_context(system_u:object_r:crond_tmp_t,s0)
+ifdef(`distro_suse', `
+/var/spool/cron/lastrun		-d	gen_context(system_u:object_r:crond_tmp_t,s0)
 /var/spool/cron/lastrun/[^/]*	--	<<none>>
-/var/spool/cron/tabs	-d	gen_context(system_u:object_r:cron_spool_t,s0)
+/var/spool/cron/tabs		-d	gen_context(system_u:object_r:cron_spool_t,s0)
+')
+
+ifdef(`distro_debian',`
+/var/log/prelink.log.*		--	gen_context(system_u:object_r:cron_log_t,s0)
+
+/var/spool/cron/atjobs		-d	gen_context(system_u:object_r:cron_spool_t,s0)
+/var/spool/cron/atjobs/[^/]*	--	<<none>>
+/var/spool/cron/atspool		-d	gen_context(system_u:object_r:cron_spool_t,s0)
 ')
